Request

Response

    GET Groups
    GET

    v2/hubs/{hubId}/groups

    Returns a paginated list of User Groups that are in a hub.

    Resource Information

    Method and URI
    GET
    https://api.aps.autodesk.com/content-catalog/v2/hubs/{hubId}/groups
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account flow.

    The Secure Service Account (SSA) flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    Region
    string
    Region identifier for API routing. Defaults to US if not provided.
    * Required

    Request

    URI Parameters

    hubId
    string: UUID
    Unique identifier for an individual hub

    Request

    Query String Parameters

    limit
    int
    Maximum number of items to return
    cursorState
    string
    The opaque data describing the pagination state to the server. Clients SHOULD NOT attempt to parse or generate this cursor. It should be populated from the response to a previous query. Leaving this unused requests the first page of data.
    collectionId
    string: UUID
    Limits the Groups returned to ones associated with a Collection specified by the collection ID (UUID format, uppercase)

    Response

    HTTP Status Code Summary

    200
    OK
    Successfully retrieved user groups
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    Unauthorized
    500
    Internal Server Error
    An unexpected error occurred on the server, preventing it from completing your request. Please try again later. If the issue persists, contact the support team for assistance.
    503
    Service Unavailable
    The request could not be completed because a downstream dependency (DynamoDB) was throttled or temporarily unavailable. Retry after a short delay.

    Response

    Body Structure (200)

    Expand all
    results
    array: object
    Array of user groups
    id
    string: UUID
    Unique identifier of the user group
    hubId
    string: UUID
    Unique identifier of the hub that owns this group
    name
    string
    User Group name
    createdAt
    datetime: ISO 8601
    Creation timestamp
    createdBy
    string
    Creator identifier (Autodesk ID)
    updatedAt
    datetime: ISO 8601
    Last update timestamp
    updatedBy
    string
    Last modifier identifier (Autodesk ID)
    isAdminGroup
    boolean
    Read-only computed field. True when this group is the hub’s admin group (i.e., the group ID equals “{hubId}” — the same UUID as the hub).
    pinnedCollections
    array: string
    List of pinned collection IDs
    pagination
    object
    Pagination information for cursor-based navigation
    limit
    int
    The limit value used by the server in the response
    cursorState
    string
    CursorState from the request
    nextUrl
    string
    Link that will return the next page of data. Null if this is the last page
    nextCursorState
    string
    The cursorState parameter for requesting the next page. Intended for clients that build request URLs programmatically instead of using nextUrl. Null if this is the last page

    Example

    Successfully retrieved user groups

    Request

    curl -v 'https://developer.api.autodesk.com/content-catalog/v2/hubs/757FF58F-AE23-42D8-B303-BD7B53FA2B98/groups?limit=20&cursorState=AMMAEACAtgALYWRzay53aXBkZXYNZnMuZmlsZS5hZGRlZAZmb2xk&collectionId=154192C1-04AA-49F3-B6DD-7EC2B2823181' \
      -H 'Authorization: '
    

    Response

    {
      "results": [
        {
          "id": "6A10A175-3374-4586-BADB-182D40747ECC",
          "hubId": "757FF58F-AE23-42D8-B303-BD7B53FA2B98",
          "name": "Engineering Team",
          "createdAt": "2024-01-15T10:30:00Z",
          "createdBy": "AKB2JV55N3SQ55DT",
          "updatedAt": "2024-01-16T14:20:00Z",
          "updatedBy": "AKB2JV55N3SQ55DT",
          "isAdminGroup": false,
          "pinnedCollections": [
            "555B69AF-140E-48C3-A21E-C9D18575954B"
          ]
        }
      ],
      "pagination": {
        "limit": 20,
        "cursorState": "eyJxYyI6Im...",
        "nextUrl": "https://api.aps.autodesk.com/content-catalog/v2/...",
        "nextCursorState": "eyJxYyI6Im..."
      }
    }
    
    Show More